// Creamos una gráfica con los datos al macenados en config
var ctx = document.getElementById('myChart').getContext('2d');
//ctx.canvas.width = 256;
//ctx.canvas.height = 512;
var myChart = new Chart(ctx, config);
//var activePoints = [];
var activePoints = config.data.labels;
var imageNumber = 0;
var playImages;
var reportImg = activePoints[0];
//var myChart;

// mostrar imagen al dar click en los puntos
document.getElementById("myChart").onclick = function (evt) {
    stop();
    // activePoints = myChart.getElementsAtEvent(evt);
    var activePoint = myChart.getElementAtEvent(evt);
    var firstPoint = activePoint[0];
    var label = myChart.data.labels[firstPoint._index];
    //if (!firstPoint) return;
    activePoints.forEach(function (value, index) {
        //if(value==firstPoint){
        if (value == label) {
            imageNumber = index;
        }
    });

    var imagePoint = activePoints[imageNumber];
    updateImage(imagePoint);
    //updateImage(firstPoint);
    //alert("{{ IMAGE_PATH }}"+label+"_TCI_60m.jpg");
    //document.getElementById("satImage").src = "{{ IMAGE_PATH }}"+label+"_TCI_60m.jpg";
};

function play() {
    $("#play").hide();
    $("#stop").show();
    // $(".next").hide();
    // $(".prev").hide();
    // $("#showImage").addClass('col-lg-offset-1');
    playImages = setInterval(function () { next(); }, 4000);
}

function stop() {
    clearInterval(playImages)
    // $("#showImage").removeClass('col-lg-offset-1');
    $("#play").show();
    $("#stop").hide();
    // $(".next").show();
    // $(".prev").show();    
}

// cambiar el tipo de gráfica
function next() {
    if (imageNumber == (activePoints.length - 1)) {
        imageNumber = 0;
    } else {
        imageNumber++;
    }
    var imagePoint = activePoints[imageNumber];

    if (!imagePoint) return;
    updateImage(imagePoint);
}

function prev() {
    if (imageNumber == 0) {
        imageNumber = activePoints.length - 1;
    } else {
        imageNumber--;
    }

    var imagePoint = activePoints[imageNumber];

    if (!imagePoint) return;
    updateImage(imagePoint);
}

function updateImage(imagePoint) {
    //label = myChart.data.labels[imagePoint._index];
    //datasets = myChart.data.datasets[imagePoint._datasetIndex].label;
    //document.getElementById("titleMap").innerHTML = label + " - " + datasets;
    label = imagePoint;
    reportImg = imagePoint;
    titleLabel = label.slice(0, 4) + "/" + label.slice(4, 6) + "/" + label.slice(6);
    document.getElementById("titleMap").innerHTML = titleLabel;
    document.getElementById("satImage").src = "../../static/reports/tmpImages/repsat_test_dev/" + image_path + label + "_TCI_60m.jpg"
}

function change(newType) {
    var ctx = document.getElementById("myChart").getContext("2d");

    // Remove the old chart and all its event handles
    if (myChart) {
        myChart.destroy();

    }

    // Chart.js modifies the object you pass in. Pass a copy of the object so we can use the original object later
    var temp = jQuery.extend(true, {}, config);
    temp.type = newType;
    if (newType == 'radar' || newType == 'pie' || newType == 'polarArea' || newType == 'doughnut') {
        temp.options.scales.xAxes = { "display": false };
        temp.options.scales.yAxes = { "display": false };

    }

    myChart = new Chart(ctx, temp);
};